/gas_demand#
Fetch daily U.S. natural gas demand by sector and region
Endpoint#
POST |
https://hyperion.api.synmax.com/v4/gas_demand |
Request Examples#
curl -X POST "https://hyperion.api.synmax.com/v4/gas_demand" \
-H "Content-Type: application/json" \
-H "Access-Key: $API_TOKEN" \
-d '{}'
from synmax.hyperion.v4 import HyperionApiClient
SYNMAX_ACCESS_TOKEN = "<YOUR_API_TOKEN>"
hyperion_api_client = HyperionApiClient(access_token=SYNMAX_ACCESS_TOKEN)
gas_demand_resp = hyperion_api_client.gas_demand()
gas_demand_df = gas_demand_resp.df()
gas_demand_df.head()
# Example of a Windows PowerShell request to the gas_demand endpoint.
$headers = New-Object "System.Collections.Generic.Dictionary[[String],[String]]"
$headers.Add("access_key", "<YOUR_API_TOKEN>")
$headers.Add("Content-Type", "application/json")
$response = Invoke-RestMethod 'https://hyperion.api.synmax.com/v4/gas_demand' -Method 'POST' -Headers $headers -Body $body
$response | ConvertTo-Json
Parameters#
Query#
Parameter |
Type |
Description |
Example |
|---|---|---|---|
date_max |
string |
End of demand date range (inclusive) |
2021-11-24 |
date_min |
string |
Start of demand date range (inclusive) |
2021-11-24 |
demand_type |
string array |
Demand type / category |
Electric Power |
model_scenario |
string array |
Demand model scenario; currently baseline. |
baseline |
region |
string array |
CONUS or one of the five EIA gas storage regions |
South Central |
updated_at_max |
string |
Only include rows updated at or before this timestamp, in ISO 8601 format (YYYY-MM-DDTHH:MM:SS) |
2024-01-31T23:59:59 |
updated_at_min |
string |
Only include rows updated at or after this timestamp, in ISO 8601 format (YYYY-MM-DDTHH:MM:SS) |
2024-01-15T00:00:00 |
weather_scenario |
string array |
Weather scenario identifier; currently baseline. |
baseline |
Response#
Parameter |
Type |
Description |
Example |
|---|---|---|---|
date |
string |
Gas day |
2021-11-24 |
demand_type |
string |
Demand type / category |
Electric Power |
gas_demand_bcf_day |
number |
Daily demand or trade-flow rate in Bcf/d |
12.5 |
model_scenario |
string |
Demand model scenario |
baseline |
region |
string |
CONUS or one of the five EIA gas storage regions |
South Central |
updated_at |
string |
Last update timestamp in ISO 8601 format (YYYY-MM-DDTHH:MM:SS) |
2024-01-15T00:00:00 |
weather_scenario |
string |
Weather scenario identifier |
baseline |
Normal Output#
date |
region |
demand_type |
gas_demand_bcf_day |
updated_at |
model_scenario |
weather_scenario |
|---|---|---|---|---|---|---|
2025-06-19 |
CONUS |
Balancing Factor |
-2.4217567095700656 |
2026-08-19T16:51:15.162369+00:00 |
baseline |
baseline |
2025-06-18 |
CONUS |
Balancing Factor |
-2.4217567095700656 |
2026-08-19T16:51:15.162364+00:00 |
baseline |
baseline |
2025-06-17 |
CONUS |
Balancing Factor |
-2.4217567095700656 |
2026-08-19T16:51:15.162360+00:00 |
baseline |
baseline |
2025-06-16 |
CONUS |
Balancing Factor |
-2.4217567095700656 |
2026-08-19T16:51:15.162355+00:00 |
baseline |
baseline |
2025-06-15 |
CONUS |
Balancing Factor |
-2.4217567095700656 |
2026-08-19T16:51:15.162351+00:00 |
baseline |
baseline |
2025-06-14 |
CONUS |
Balancing Factor |
-2.4217567095700656 |
2026-08-19T16:51:15.162346+00:00 |
baseline |
baseline |
2025-06-13 |
CONUS |
Balancing Factor |
-2.1438989816940444 |
2026-08-19T16:51:15.162341+00:00 |
baseline |
baseline |
2025-06-12 |
CONUS |
Balancing Factor |
-2.1438989816940444 |
2026-08-19T16:51:15.162336+00:00 |
baseline |
baseline |
2025-06-11 |
CONUS |
Balancing Factor |
-2.1438989816940444 |
2026-08-19T16:51:15.162332+00:00 |
baseline |
baseline |
2025-06-10 |
CONUS |
Balancing Factor |
-2.1438989816940444 |
2026-08-19T16:51:15.162327+00:00 |
baseline |
baseline |